Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision 502de0a949e2b31c076870d481c4fd302106c857)
+++ sansview/perspectives/fitting/basepage.py	(revision d2d0cfdfbac3d92eefe5056f8af99ce891300de5)
@@ -343,4 +343,13 @@
         self.state.model = self.model.clone()
         new_state = self.state.clone()
+        ## save checkbutton state and txtcrtl values
+        self._copy_parameters_state(self.orientation_params,
+                                     self.state.orientation_params)
+        self._copy_parameters_state(self.orientation_params_disp,
+                                     self.state.orientation_params_disp)
+        self._copy_parameters_state(self.parameters, self.state.parameters)
+       
+        self._copy_parameters_state(self.fittable_param, self.state.fittable_param)
+        self._copy_parameters_state(self.fixed_param, self.state.fixed_param)
         
         ##Add model state on context menu
@@ -459,15 +468,20 @@
             self.state.disp_box = self.disp_box.GetCurrentSelection()
         self._save_plotting_range()
-      
+        
+        self.state.orientation_params =[]
+        self.state.orientation_params_disp =[]
+        self.state.parameters =[]
+        self.state.fittable_param =[]
+        self.state.fixed_param =[]
+        
         ## save checkbutton state and txtcrtl values
-       
-        self._copy_parameters_state(self.parameters, self.state.parameters)
-        self._copy_parameters_state(self.fittable_param, self.state.fittable_param)
-        self._copy_parameters_state(self.fixed_param, self.state.fixed_param)
         self._copy_parameters_state(self.orientation_params,
                                      self.state.orientation_params)
         self._copy_parameters_state(self.orientation_params_disp,
                                      self.state.orientation_params_disp)
-        
+        self._copy_parameters_state(self.parameters, self.state.parameters)
+       
+        self._copy_parameters_state(self.fittable_param, self.state.fittable_param)
+        self._copy_parameters_state(self.fixed_param, self.state.fixed_param)
         
         ## post state to fit panel
@@ -506,15 +520,16 @@
             self.compute_chisqr(smearer= self.smearer)  
             
-        ## reset context menu items
-        self._reset_context_menu()
+       
         ## reset state of checkbox,textcrtl  and parameters value
-        self._reset_parameters_state(self.parameters,state.parameters)
-        self._reset_parameters_state(self.fittable_param,state.fittable_param)
-        self._reset_parameters_state(self.fixed_param,state.fixed_param)
         self._reset_parameters_state(self.orientation_params_disp,
                                      state.orientation_params_disp)
         self._reset_parameters_state(self.orientation_params,
                                      state.orientation_params)
-        
+        self._reset_parameters_state(self.parameters,state.parameters)
+        self._reset_parameters_state(self.fittable_param,state.fittable_param)
+        self._reset_parameters_state(self.fixed_param,state.fixed_param)
+     
+        ## reset context menu items
+        self._reset_context_menu()
         ## draw the model with previous parameters value
         self._draw_model()
@@ -591,5 +606,4 @@
             is_modified =self._check_value_enter( self.parameters ,is_modified)        
            
-            
             self.Layout()
             # Here we should check whether the boundaries have been modified.
@@ -676,4 +690,5 @@
             @param statelist: list of state object to store the current state
         """
+        
         if len(listtocopy)==0:
             return
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision dffa9733675746e371e113e6e2c76d69eba1adc8)
+++ sansview/perspectives/fitting/fitpage.py	(revision d2d0cfdfbac3d92eefe5056f8af99ce891300de5)
@@ -197,10 +197,9 @@
             radius_max = math.sqrt(x*x + y*y)
             
-            #For qmin and qmax, do not use format_number.(If do, qmin and max could be different from what is in the data.)
+            #For qmin and qmax, do not use format_number
+            #.(If do, qmin and max could be different from what is in the data.)
             # Minimum value of data   
-            #data_min = str(format_number(radius_min))
             data_min = str((radius_min))
             # Maximum value of data  
-            #data_max = str(format_number(radius_max))
             data_max = str((radius_max))
             text4_3 = wx.StaticText(self, -1, "Total Q Range (1/A)",
@@ -436,6 +435,5 @@
                             self.orientation_params_disp.append([None,name3, Tctl
                                                      ,None,None, None, None,None])
-        self._copy_parameters_state(self.orientation_params_disp,
-                                     self.state.orientation_params_disp) 
+   
                                   
         wx.PostEvent(self.parent, StatusEvent(status=\
